<html>
  <body>
			<script src="https://cdn.socket.io/socket.io-1.2.0.js"></script>
			<script src="http://code.jquery.com/jquery-1.11.1.js"></script>
			<script src="/socket.io/socket.io.js"></script>

		<h1>socket front</h1>
	<input type="button" id="button1" onclick="button1_click();" value="버튼1"/>
	<script>



	 var heartBeatFrequency = 3000 // heartbeat 주기 ms
	// 강의실 입장
	async function button1_click(){

	var socket = io();

	//	joinLecture(241);
	socket.emit('JOIN_LECTURE2',JSON.stringify({lecture_id:1}));
		//socket.emit('MASTER',{ lecture_id: 1});

	}
	function joinLecture(lecture_id)
	 {
		socketEmit('JOIN_LECTURE',{
		'lecture_id': lecture_id,
		});
	 }
	socket.on('MASTER', function(data) {
		alert(data);
		console.log(`recv - ${data}`);
	});
	

	 // 허트비트
	 //////////////////////////////////////////////////////////////////
	 //setInterval(function(){ sendHeartBeat() }, heartBeatFrequency);
	 function sendHeartBeat(lecture_id, user_id)
	 {
		socketEmit('HEART_BEAT', {
		'lecture_id': lecture_id,
		'user_id': user_id,
		})
	 }
	 ///////////////////////////////////////////////////////////////////
	 
	 
	 //활성화 / 비활성화
	 //////////////////////////////////////////////////////////////////
	 var params = {
		'lecture_item_id': 1,
		'opened': 0, // 비활0 활 1
		'lecture_id': 1,
		};
	//  changeLectureItemActivation(params);
	 
	 function changeLectureItemActivation(params)
	 {
		socketEmit('LECTURE_ITEM_ACTIVATION', params)
	 }
	 ///////////////////////////////////////////////////////////////////
	 
	
	
	
	// // 강의 아이템 리로드를 해야하는지에 대한 신호를 받는 쏘켓..
	// socket.on('RELOAD_LECTURE_ITEM', function(data) {
	// 	console.log('I have to reload!!')
	// });
	
	
	 // 학생이 강의 아이템을 문항(설문)제출, 강의 자료 다운로드를 했을 때 보냄. 
	function doingLectureItem(lecture_item_id, user_id)
	{
		socketEmit('DOING_LECTURE_ITEM', {'lecture_item_id': lecture_item_id, 'user_id': user_id,})
	}
	 
	 
	
	// 학생이 뭔가 리로드해야되는 작업을 했을 경우 사용 (강사가 사용하는 함수)
	function studentMustReload(lecture_id)
	{
		socketEmit('STUDENT_MUST_RELOAD', {'lecture_id': lecture_id})
	}
	
	// 문제나 설문에 대한 결과 같은 거를 갱신하라고 학생들이나 강사한테 신호를 보낼때 씀(학생이 제출할때 쓰는 함수)
	function getQuestionStat(question_id, lecture_id)
	{
		socketEmit('QUESTION_STAT_RELOAD', {'question_id': question_id, 'lecture_id': lecture_id})
	}

	
	
	
	 // json으로 보냅시다
	 function socketEmit(type, data)
	 {
		socket.emit(type, JSON.stringify(data));
	 }

  </script>
  </body>
</html>